> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get additional information required to request employee termination

GET https://api.letsdeel.com/rest/eor/contracts/{contract_id}/offboarding/required-information

Returns country-specific mandatory and optional questions, and identifies required supporting documents, that must be provided when initiating the offboarding process for a contract.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-offboarding/get-eor-contract-offboarding-required-information

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the employee contract.

## Response

### 200

Ok response

- `data` (EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaData, required) — Specifies the text of additional questions that the client must answer when requesting a termination

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden

- `errors` (list of EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaData

Specifies the text of additional questions that the client must answer when requesting a termination

- `documents` (string, optional, nullable) — If not null, specifies the documents that the client must upload when requesting a termination
- `questions` (list of EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaDataQuestionsItems, optional, nullable) — A list of additional questions that the client must answer when requesting a termination. Some questions are mandatory, while others are optional.

### EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code of the handler which produced the returned error
- `field` (string, optional) — The field name where error occurred (null for server errors)
- `message` (string, optional) — Description of the returned error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractsContractIdOffboardingRequiredInformationGetResponsesContentApplicationJsonSchemaDataQuestionsItems

- `text` (string, optional) — Specifies the text of additional questions that the client must answer when requesting a termination
- `is_optional` (boolean, optional) — Indicates whether answering the question is optional. If false, client must provide an answer.

## Examples

**Response**

```json
{
  "data": {
    "questions": [
      {
        "text": "Does the employee might have protected status for termination (e.g. maternity leave, paternity leave, sick leave)?",
        "is_optional": false
      },
      {
        "text": "Has the employee received prior written warnings about performance issues?",
        "is_optional": true
      }
    ],
    "required_upload_label": "Please provide documents to support underperformance if applicable"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/contracts/abcd4fg/offboarding/required-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```